Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicBorders.RadioButtonBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.plaf.basic.BasicBorders.ButtonBorder
                  |
                  +--javax.swing.plaf.basic.BasicBorders.RadioButtonBorder

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BasicBorders

public static class BasicBorders.RadioButtonBorder
extends BasicBorders.ButtonBorder

See Also:
  Serialized Form

Fields inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder
`darkShadow, highlight, lightHighlight, shadow`

Constructor Summary
`BasicBorders.RadioButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)`

Method Summary
`Insets` | `getBorderInsets(Component c)` This default implementation returns the value of getBorderMargins.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` This default implementation does no painting.

Methods inherited from class javax.swing.border.AbstractBorder
`getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBorders.RadioButtonBorder

    public BasicBorders.RadioButtonBorder(Color shadow,
                                          Color darkShadow,
                                          Color highlight,
                                          Color lightHighlight)

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Description copied from class: `AbstractBorder`
  This default implementation does no painting.
  Overrides:
    `paintBorder` in class `BasicBorders.ButtonBorder`
  Following copied from interface: `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Description copied from class: `AbstractBorder`
  This default implementation returns the value of getBorderMargins.
  Overrides:
    `getBorderInsets` in class `BasicBorders.ButtonBorder`
  Following copied from interface: `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border insets value applies

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.